#!/bin/sh

###########################################################################
# Copyright (c) 2013 High Energy Accelerator Reseach Organization (KEK)   #
# This file is distributed subject to a Software License Agreement found  #
# in the file LICENSE that is included with this distribution.            #
###########################################################################
#
# SL1000 initialization script
#

######################################################################
# SL1k channel settings
######################################################################

setSL1Kchan() {
  # arguments: CH.no enable/disable Vdiv Coupling probpe
  caput scope1:chanNoSelectMO $1 # CH1-CH16
  caput scope1:chanEnableBO   $2 # 1:ENABLE 0:DISABLE
  caput scope1:chanVdivMO     $3 # 1mV 2mV 5mV 10mV 20mV 50mV 100mV 200mV 500mV 1V 2V 5V 10V 20V 50V 100V
  caput scope1:chanCoupleMO   $4 # DC AC GND
  caput scope1:chanProbeMO    $5 # 1:1 10:1 100:1 1000:1
}

setSL1Kchan CH1 1 1V DC 1:1
setSL1Kchan CH2 1 1V DC 1:1
setSL1Kchan CH3 0 1V DC 1:1
setSL1Kchan CH4 0 1V DC 1:1
setSL1Kchan CH5 0 1V DC 1:1
setSL1Kchan CH6 0 1V DC 1:1

######################################################################
# enable autoupdate of raw waveforms
######################################################################
caput scope1:waveAutoUpdateEnableBO 1

######################################################################
# raw waveforms are scanned by Event
######################################################################
caput scope1:waveUpdateSQ.SCAN Event

######################################################################
# set sampling frequency and record length
######################################################################
caput scope1:smplRateAMO 10
caput scope1:smplRateBMO kHz
caput scope1:recLenLO    50000

######################################################################
# trigger parameters
######################################################################
caput scope1:trigSourMO CH1
caput scope1:trigSlopeMO RISE
caput scope1:trigLevAO 0.1
caput scope1:trigPosMO 0
caput scope1:trigDelayAO 0.0
caput scope1:trigHoldoffAO 0.0

######################################################################
# DAQ mode
######################################################################
caput scope1:acqModeBO Repeat
caput scope1:srqEnableBO Enable

######################################################################
# start DAQ
######################################################################
caput scope1:startBO 1
